Documents - Index
Dizine bir toplu belge yazma eylemi gönderir.
POST {endpoint}/indexes('{indexName}')/docs/search.index?api-version=2025-08-01-preview
URI Parametreleri
| Name | İçinde | Gerekli | Tür | Description |
|---|---|---|---|---|
|
endpoint
|
path | True |
string |
Arama hizmetinin uç nokta URL'si. |
|
index
|
path | True |
string |
Dizinin adı. |
|
api-version
|
query | True |
string |
İstemci API sürümü. |
İstek Başlığı
| Name | Gerekli | Tür | Description |
|---|---|---|---|
| x-ms-client-request-id |
string (uuid) |
Hata ayıklamaya yardımcı olmak için istekle birlikte gönderilen izleme kimliği. |
İstek Gövdesi
| Name | Gerekli | Tür | Description |
|---|---|---|---|
| value | True |
Toplu işteki eylemler. |
Yanıtlar
| Name | Tür | Description |
|---|---|---|
| 200 OK |
Toplu işlemdeki tüm eylemler için işlemlerin durumunu içeren yanıt. |
|
| Other Status Codes |
Toplu işlemdeki tüm eylemler için işlemlerin durumunu içeren yanıt. |
|
| Other Status Codes |
Hata yanıtı. |
Örnekler
SearchIndexIndexDocuments
Örnek isteği
POST https://previewexampleservice.search.windows.net/indexes('preview-test')/docs/search.index?api-version=2025-08-01-preview
{
"value": [
{
"@search.action": "mergeOrUpload",
"id": "0",
"name": "test",
"description": "test0 hello",
"vector1": [
0,
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12,
13,
14,
15,
16,
17,
18,
19
],
"vector1b": [
10,
11,
12,
13,
14,
15,
16,
17,
18,
19
],
"vector2": [
0,
1,
2,
3,
4
],
"vector3": [
0,
1,
2,
3,
4
],
"vector22": [
20,
21,
22,
23,
24,
25,
26,
27,
28,
29
],
"ownerId": "benny",
"category": "purple",
"price": 0
},
{
"@search.action": "mergeOrUpload",
"id": "1",
"name": "test",
"description": "test1 hello",
"vector1": [
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12,
13,
14,
15,
16,
17,
18,
19,
20
],
"vector1b": [
11,
12,
13,
14,
15,
16,
17,
18,
19,
20
],
"vector2": [
1,
2,
3,
4,
5
],
"vector3": [
1,
2,
3,
4,
5
],
"vector22": [
21,
22,
23,
24,
25,
26,
27,
28,
29,
30
],
"ownerId": "sam",
"category": "purple",
"price": 1
},
{
"@search.action": "mergeOrUpload",
"id": "2",
"name": "test",
"description": "test2 hello",
"vector1": [
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12,
13,
14,
15,
16,
17,
18,
19,
20,
21
],
"vector1b": [
12,
13,
14,
15,
16,
17,
18,
19,
20,
21
],
"vector2": [
2,
3,
4,
5,
6
],
"vector3": [
2,
3,
4,
5,
6
],
"vector22": [
22,
23,
24,
25,
26,
27,
28,
29,
30,
31
],
"ownerId": "sam",
"category": "purple",
"price": 2
},
{
"@search.action": "mergeOrUpload",
"id": "3",
"name": "test",
"description": "test3 hello",
"vector1": [
3,
4,
5,
6,
7,
8,
9,
10,
11,
12,
13,
14,
15,
16,
17,
18,
19,
20,
21,
22
],
"vector1b": [
13,
14,
15,
16,
17,
18,
19,
20,
21,
22
],
"vector2": [
3,
4,
5,
6,
7
],
"vector3": [
3,
4,
5,
6,
7
],
"vector22": [
23,
24,
25,
26,
27,
28,
29,
30,
31,
32
],
"ownerId": "ryan",
"category": "purple",
"price": 3
},
{
"@search.action": "mergeOrUpload",
"id": "4",
"name": "test",
"description": "test4 hello",
"vector1": [
4,
5,
6,
7,
8,
9,
10,
11,
12,
13,
14,
15,
16,
17,
18,
19,
20,
21,
22,
23
],
"vector1b": [
14,
15,
16,
17,
18,
19,
20,
21,
22,
23
],
"vector2": [
4,
5,
6,
7,
8
],
"vector3": [
4,
5,
6,
7,
8
],
"vector22": [
24,
25,
26,
27,
28,
29,
30,
31,
32,
33
],
"ownerId": "sam",
"category": "purple",
"price": 4
},
{
"@search.action": "mergeOrUpload",
"id": "5",
"name": "test",
"description": "test5 hello",
"vector1": [
5,
6,
7,
8,
9,
10,
11,
12,
13,
14,
15,
16,
17,
18,
19,
20,
21,
22,
23,
24
],
"vector1b": [
15,
16,
17,
18,
19,
20,
21,
22,
23,
24
],
"vector2": [
5,
6,
7,
8,
9
],
"vector3": [
5,
6,
7,
8,
9
],
"vector22": [
25,
26,
27,
28,
29,
30,
31,
32,
33,
34
],
"ownerId": "sam",
"category": "purple",
"price": 5
},
{
"@search.action": "mergeOrUpload",
"id": "6",
"name": "test",
"description": "test6 hello",
"vector1": [
6,
7,
8,
9,
10,
11,
12,
13,
14,
15,
16,
17,
18,
19,
20,
21,
22,
23,
24,
25
],
"vector1b": [
16,
17,
18,
19,
20,
21,
22,
23,
24,
25
],
"vector2": [
6,
7,
8,
9,
10
],
"vector3": [
6,
7,
8,
9,
10
],
"vector22": [
26,
27,
28,
29,
30,
31,
32,
33,
34,
35
],
"ownerId": "ryan",
"category": "purple",
"price": 6
},
{
"@search.action": "mergeOrUpload",
"id": "7",
"name": "test",
"description": "test7 hello",
"vector1": [
7,
8,
9,
10,
11,
12,
13,
14,
15,
16,
17,
18,
19,
20,
21,
22,
23,
24,
25,
26
],
"vector1b": [
17,
18,
19,
20,
21,
22,
23,
24,
25,
26
],
"vector2": [
7,
8,
9,
10,
11
],
"vector3": [
7,
8,
9,
10,
11
],
"vector22": [
27,
28,
29,
30,
31,
32,
33,
34,
35,
36
],
"ownerId": "sam",
"category": "purple",
"price": 7
},
{
"@search.action": "mergeOrUpload",
"id": "8",
"name": "test",
"description": "test8 hello",
"vector1": [
8,
9,
10,
11,
12,
13,
14,
15,
16,
17,
18,
19,
20,
21,
22,
23,
24,
25,
26,
27
],
"vector1b": [
18,
19,
20,
21,
22,
23,
24,
25,
26,
27
],
"vector2": [
8,
9,
10,
11,
12
],
"vector3": [
8,
9,
10,
11,
12
],
"vector22": [
28,
29,
30,
31,
32,
33,
34,
35,
36,
37
],
"ownerId": "sam",
"category": "purple",
"price": 8
},
{
"@search.action": "mergeOrUpload",
"id": "9",
"name": "test",
"description": "test9 hello",
"vector1": [
9,
10,
11,
12,
13,
14,
15,
16,
17,
18,
19,
20,
21,
22,
23,
24,
25,
26,
27,
28
],
"vector1b": [
19,
20,
21,
22,
23,
24,
25,
26,
27,
28
],
"vector2": [
9,
10,
11,
12,
13
],
"vector3": [
9,
10,
11,
12,
13
],
"vector22": [
29,
30,
31,
32,
33,
34,
35,
36,
37,
38
],
"ownerId": "ryan",
"category": "purple",
"price": 9
},
{
"@search.action": "mergeOrUpload",
"id": "10",
"name": "test",
"description": "test10 hello",
"vector1": [
10,
11,
12,
13,
14,
15,
16,
17,
18,
19,
20,
21,
22,
23,
24,
25,
26,
27,
28,
29
],
"vector1b": [
20,
21,
22,
23,
24,
25,
26,
27,
28,
29
],
"vector2": [
10,
11,
12,
13,
14
],
"vector3": [
10,
11,
12,
13,
14
],
"vector22": [
30,
31,
32,
33,
34,
35,
36,
37,
38,
39
],
"ownerId": "benny",
"category": "purple",
"price": 10
},
{
"@search.action": "mergeOrUpload",
"id": "11",
"name": "test",
"description": "test11 hello",
"vector1": [
11,
12,
13,
14,
15,
16,
17,
18,
19,
20,
21,
22,
23,
24,
25,
26,
27,
28,
29,
30
],
"vector1b": [
21,
22,
23,
24,
25,
26,
27,
28,
29,
30
],
"vector2": [
11,
12,
13,
14,
15
],
"vector3": [
11,
12,
13,
14,
15
],
"vector22": [
31,
32,
33,
34,
35,
36,
37,
38,
39,
40
],
"ownerId": "sam",
"category": "purple",
"price": 11
},
{
"@search.action": "mergeOrUpload",
"id": "12",
"name": "test",
"description": "test12 hello",
"vector1": [
12,
13,
14,
15,
16,
17,
18,
19,
20,
21,
22,
23,
24,
25,
26,
27,
28,
29,
30,
31
],
"vector1b": [
22,
23,
24,
25,
26,
27,
28,
29,
30,
31
],
"vector2": [
12,
13,
14,
15,
16
],
"vector3": [
12,
13,
14,
15,
16
],
"vector22": [
32,
33,
34,
35,
36,
37,
38,
39,
40,
41
],
"ownerId": "ryan",
"category": "purple",
"price": 12
},
{
"@search.action": "mergeOrUpload",
"id": "13",
"name": "test",
"description": "test13 hello",
"vector1": [
13,
14,
15,
16,
17,
18,
19,
20,
21,
22,
23,
24,
25,
26,
27,
28,
29,
30,
31,
32
],
"vector1b": [
23,
24,
25,
26,
27,
28,
29,
30,
31,
32
],
"vector2": [
13,
14,
15,
16,
17
],
"vector3": [
13,
14,
15,
16,
17
],
"vector22": [
33,
34,
35,
36,
37,
38,
39,
40,
41,
42
],
"ownerId": "sam",
"category": "purple",
"price": 13
},
{
"@search.action": "mergeOrUpload",
"id": "14",
"name": "test",
"description": "test14 hello",
"vector1": [
14,
15,
16,
17,
18,
19,
20,
21,
22,
23,
24,
25,
26,
27,
28,
29,
30,
31,
32,
33
],
"vector1b": [
24,
25,
26,
27,
28,
29,
30,
31,
32,
33
],
"vector2": [
14,
15,
16,
17,
18
],
"vector3": [
14,
15,
16,
17,
18
],
"vector22": [
34,
35,
36,
37,
38,
39,
40,
41,
42,
43
],
"ownerId": "sam",
"category": "purple",
"price": 14
},
{
"@search.action": "mergeOrUpload",
"id": "15",
"name": "test",
"description": "test15 hello",
"vector1": [
15,
16,
17,
18,
19,
20,
21,
22,
23,
24,
25,
26,
27,
28,
29,
30,
31,
32,
33,
34
],
"vector1b": [
25,
26,
27,
28,
29,
30,
31,
32,
33,
34
],
"vector2": [
15,
16,
17,
18,
19
],
"vector3": [
15,
16,
17,
18,
19
],
"vector22": [
35,
36,
37,
38,
39,
40,
41,
42,
43,
44
],
"ownerId": "ryan",
"category": "purple",
"price": 15
},
{
"@search.action": "mergeOrUpload",
"id": "16",
"name": "test",
"description": "test16 hello",
"vector1": [
16,
17,
18,
19,
20,
21,
22,
23,
24,
25,
26,
27,
28,
29,
30,
31,
32,
33,
34,
35
],
"vector1b": [
26,
27,
28,
29,
30,
31,
32,
33,
34,
35
],
"vector2": [
16,
17,
18,
19,
20
],
"vector3": [
16,
17,
18,
19,
20
],
"vector22": [
36,
37,
38,
39,
40,
41,
42,
43,
44,
45
],
"ownerId": "sam",
"category": "purple",
"price": 16
},
{
"@search.action": "mergeOrUpload",
"id": "17",
"name": "test",
"description": "test17 hello",
"vector1": [
17,
18,
19,
20,
21,
22,
23,
24,
25,
26,
27,
28,
29,
30,
31,
32,
33,
34,
35,
36
],
"vector1b": [
27,
28,
29,
30,
31,
32,
33,
34,
35,
36
],
"vector2": [
17,
18,
19,
20,
21
],
"vector3": [
17,
18,
19,
20,
21
],
"vector22": [
37,
38,
39,
40,
41,
42,
43,
44,
45,
46
],
"ownerId": "sam",
"category": "purple",
"price": 17
},
{
"@search.action": "mergeOrUpload",
"id": "18",
"name": "test",
"description": "test18 hello",
"vector1": [
18,
19,
20,
21,
22,
23,
24,
25,
26,
27,
28,
29,
30,
31,
32,
33,
34,
35,
36,
37
],
"vector1b": [
28,
29,
30,
31,
32,
33,
34,
35,
36,
37
],
"vector2": [
18,
19,
20,
21,
22
],
"vector3": [
18,
19,
20,
21,
22
],
"vector22": [
38,
39,
40,
41,
42,
43,
44,
45,
46,
47
],
"ownerId": "ryan",
"category": "purple",
"price": 18
},
{
"@search.action": "mergeOrUpload",
"id": "19",
"name": "test",
"description": "test19 hello",
"vector1": [
19,
20,
21,
22,
23,
24,
25,
26,
27,
28,
29,
30,
31,
32,
33,
34,
35,
36,
37,
38
],
"vector1b": [
29,
30,
31,
32,
33,
34,
35,
36,
37,
38
],
"vector2": [
19,
20,
21,
22,
23
],
"vector3": [
19,
20,
21,
22,
23
],
"vector22": [
39,
40,
41,
42,
43,
44,
45,
46,
47,
48
],
"ownerId": "sam",
"category": "purple",
"price": 19
},
{
"@search.action": "mergeOrUpload",
"id": "20",
"name": "test",
"description": "test20 hello",
"vector1": [
20,
21,
22,
23,
24,
25,
26,
27,
28,
29,
30,
31,
32,
33,
34,
35,
36,
37,
38,
39
],
"vector1b": [
30,
31,
32,
33,
34,
35,
36,
37,
38,
39
],
"vector2": [
20,
21,
22,
23,
24
],
"vector3": [
20,
21,
22,
23,
24
],
"vector22": [
40,
41,
42,
43,
44,
45,
46,
47,
48,
49
],
"ownerId": "benny",
"category": "purple",
"price": 20
},
{
"@search.action": "mergeOrUpload",
"id": "21",
"name": "test",
"description": "test21 hello",
"vector1": [
21,
22,
23,
24,
25,
26,
27,
28,
29,
30,
31,
32,
33,
34,
35,
36,
37,
38,
39,
40
],
"vector1b": [
31,
32,
33,
34,
35,
36,
37,
38,
39,
40
],
"vector2": [
21,
22,
23,
24,
25
],
"vector3": [
21,
22,
23,
24,
25
],
"vector22": [
41,
42,
43,
44,
45,
46,
47,
48,
49,
50
],
"ownerId": "ryan",
"category": "purple",
"price": 21
},
{
"@search.action": "mergeOrUpload",
"id": "22",
"name": "test",
"description": "test22 hello",
"vector1": [
22,
23,
24,
25,
26,
27,
28,
29,
30,
31,
32,
33,
34,
35,
36,
37,
38,
39,
40,
41
],
"vector1b": [
32,
33,
34,
35,
36,
37,
38,
39,
40,
41
],
"vector2": [
22,
23,
24,
25,
26
],
"vector3": [
22,
23,
24,
25,
26
],
"vector22": [
42,
43,
44,
45,
46,
47,
48,
49,
50,
51
],
"ownerId": "sam",
"category": "purple",
"price": 22
},
{
"@search.action": "mergeOrUpload",
"id": "23",
"name": "test",
"description": "test23 hello",
"vector1": [
23,
24,
25,
26,
27,
28,
29,
30,
31,
32,
33,
34,
35,
36,
37,
38,
39,
40,
41,
42
],
"vector1b": [
33,
34,
35,
36,
37,
38,
39,
40,
41,
42
],
"vector2": [
23,
24,
25,
26,
27
],
"vector3": [
23,
24,
25,
26,
27
],
"vector22": [
43,
44,
45,
46,
47,
48,
49,
50,
51,
52
],
"ownerId": "sam",
"category": "purple",
"price": 23
},
{
"@search.action": "mergeOrUpload",
"id": "24",
"name": "test",
"description": "test24 hello",
"vector1": [
24,
25,
26,
27,
28,
29,
30,
31,
32,
33,
34,
35,
36,
37,
38,
39,
40,
41,
42,
43
],
"vector1b": [
34,
35,
36,
37,
38,
39,
40,
41,
42,
43
],
"vector2": [
24,
25,
26,
27,
28
],
"vector3": [
24,
25,
26,
27,
28
],
"vector22": [
44,
45,
46,
47,
48,
49,
50,
51,
52,
53
],
"ownerId": "ryan",
"category": "purple",
"price": 24
},
{
"@search.action": "mergeOrUpload",
"id": "25",
"name": "test",
"description": "test25 hello",
"vector1": [
25,
26,
27,
28,
29,
30,
31,
32,
33,
34,
35,
36,
37,
38,
39,
40,
41,
42,
43,
44
],
"vector1b": [
35,
36,
37,
38,
39,
40,
41,
42,
43,
44
],
"vector2": [
25,
26,
27,
28,
29
],
"vector3": [
25,
26,
27,
28,
29
],
"vector22": [
45,
46,
47,
48,
49,
50,
51,
52,
53,
54
],
"ownerId": "sam",
"category": "pink",
"price": 25
},
{
"@search.action": "mergeOrUpload",
"id": "26",
"name": "test",
"description": "test26 hello",
"vector1": [
26,
27,
28,
29,
30,
31,
32,
33,
34,
35,
36,
37,
38,
39,
40,
41,
42,
43,
44,
45
],
"vector1b": [
36,
37,
38,
39,
40,
41,
42,
43,
44,
45
],
"vector2": [
26,
27,
28,
29,
30
],
"vector3": [
26,
27,
28,
29,
30
],
"vector22": [
46,
47,
48,
49,
50,
51,
52,
53,
54,
55
],
"ownerId": "sam",
"category": "pink",
"price": 26
},
{
"@search.action": "mergeOrUpload",
"id": "27",
"name": "test",
"description": "test27 hello",
"vector1": [
27,
28,
29,
30,
31,
32,
33,
34,
35,
36,
37,
38,
39,
40,
41,
42,
43,
44,
45,
46
],
"vector1b": [
37,
38,
39,
40,
41,
42,
43,
44,
45,
46
],
"vector2": [
27,
28,
29,
30,
31
],
"vector3": [
27,
28,
29,
30,
31
],
"vector22": [
47,
48,
49,
50,
51,
52,
53,
54,
55,
56
],
"ownerId": "ryan",
"category": "pink",
"price": 27
},
{
"@search.action": "mergeOrUpload",
"id": "28",
"name": "test",
"description": "test28 hello",
"vector1": [
28,
29,
30,
31,
32,
33,
34,
35,
36,
37,
38,
39,
40,
41,
42,
43,
44,
45,
46,
47
],
"vector1b": [
38,
39,
40,
41,
42,
43,
44,
45,
46,
47
],
"vector2": [
28,
29,
30,
31,
32
],
"vector3": [
28,
29,
30,
31,
32
],
"vector22": [
48,
49,
50,
51,
52,
53,
54,
55,
56,
57
],
"ownerId": "sam",
"category": "pink",
"price": 28
},
{
"@search.action": "mergeOrUpload",
"id": "29",
"name": "test",
"description": "test29 hello",
"vector1": [
29,
30,
31,
32,
33,
34,
35,
36,
37,
38,
39,
40,
41,
42,
43,
44,
45,
46,
47,
48
],
"vector1b": [
39,
40,
41,
42,
43,
44,
45,
46,
47,
48
],
"vector2": [
29,
30,
31,
32,
33
],
"vector3": [
29,
30,
31,
32,
33
],
"vector22": [
49,
50,
51,
52,
53,
54,
55,
56,
57,
58
],
"ownerId": "sam",
"category": "pink",
"price": 29
},
{
"@search.action": "mergeOrUpload",
"id": "30",
"name": "test",
"description": "test30 hello",
"vector1": [
30,
31,
32,
33,
34,
35,
36,
37,
38,
39,
40,
41,
42,
43,
44,
45,
46,
47,
48,
49
],
"vector1b": [
40,
41,
42,
43,
44,
45,
46,
47,
48,
49
],
"vector2": [
30,
31,
32,
33,
34
],
"vector3": [
30,
31,
32,
33,
34
],
"vector22": [
50,
51,
52,
53,
54,
55,
56,
57,
58,
59
],
"ownerId": "benny",
"category": "pink",
"price": 30
},
{
"@search.action": "mergeOrUpload",
"id": "31",
"name": "test",
"description": "test31 hello",
"vector1": [
31,
32,
33,
34,
35,
36,
37,
38,
39,
40,
41,
42,
43,
44,
45,
46,
47,
48,
49,
50
],
"vector1b": [
41,
42,
43,
44,
45,
46,
47,
48,
49,
50
],
"vector2": [
31,
32,
33,
34,
35
],
"vector3": [
31,
32,
33,
34,
35
],
"vector22": [
51,
52,
53,
54,
55,
56,
57,
58,
59,
60
],
"ownerId": "sam",
"category": "pink",
"price": 31
},
{
"@search.action": "mergeOrUpload",
"id": "32",
"name": "test",
"description": "test32 hello",
"vector1": [
32,
33,
34,
35,
36,
37,
38,
39,
40,
41,
42,
43,
44,
45,
46,
47,
48,
49,
50,
51
],
"vector1b": [
42,
43,
44,
45,
46,
47,
48,
49,
50,
51
],
"vector2": [
32,
33,
34,
35,
36
],
"vector3": [
32,
33,
34,
35,
36
],
"vector22": [
52,
53,
54,
55,
56,
57,
58,
59,
60,
61
],
"ownerId": "sam",
"category": "pink",
"price": 32
},
{
"@search.action": "mergeOrUpload",
"id": "33",
"name": "test",
"description": "test33 hello",
"vector1": [
33,
34,
35,
36,
37,
38,
39,
40,
41,
42,
43,
44,
45,
46,
47,
48,
49,
50,
51,
52
],
"vector1b": [
43,
44,
45,
46,
47,
48,
49,
50,
51,
52
],
"vector2": [
33,
34,
35,
36,
37
],
"vector3": [
33,
34,
35,
36,
37
],
"vector22": [
53,
54,
55,
56,
57,
58,
59,
60,
61,
62
],
"ownerId": "ryan",
"category": "pink",
"price": 33
},
{
"@search.action": "mergeOrUpload",
"id": "34",
"name": "test",
"description": "test34 hello",
"vector1": [
34,
35,
36,
37,
38,
39,
40,
41,
42,
43,
44,
45,
46,
47,
48,
49,
50,
51,
52,
53
],
"vector1b": [
44,
45,
46,
47,
48,
49,
50,
51,
52,
53
],
"vector2": [
34,
35,
36,
37,
38
],
"vector3": [
34,
35,
36,
37,
38
],
"vector22": [
54,
55,
56,
57,
58,
59,
60,
61,
62,
63
],
"ownerId": "sam",
"category": "pink",
"price": 34
},
{
"@search.action": "mergeOrUpload",
"id": "35",
"name": "test",
"description": "test35 hello",
"vector1": [
35,
36,
37,
38,
39,
40,
41,
42,
43,
44,
45,
46,
47,
48,
49,
50,
51,
52,
53,
54
],
"vector1b": [
45,
46,
47,
48,
49,
50,
51,
52,
53,
54
],
"vector2": [
35,
36,
37,
38,
39
],
"vector3": [
35,
36,
37,
38,
39
],
"vector22": [
55,
56,
57,
58,
59,
60,
61,
62,
63,
64
],
"ownerId": "sam",
"category": "pink",
"price": 35
},
{
"@search.action": "mergeOrUpload",
"id": "36",
"name": "test",
"description": "test36 hello",
"vector1": [
36,
37,
38,
39,
40,
41,
42,
43,
44,
45,
46,
47,
48,
49,
50,
51,
52,
53,
54,
55
],
"vector1b": [
46,
47,
48,
49,
50,
51,
52,
53,
54,
55
],
"vector2": [
36,
37,
38,
39,
40
],
"vector3": [
36,
37,
38,
39,
40
],
"vector22": [
56,
57,
58,
59,
60,
61,
62,
63,
64,
65
],
"ownerId": "ryan",
"category": "pink",
"price": 36
},
{
"@search.action": "mergeOrUpload",
"id": "37",
"name": "test",
"description": "test37 hello",
"vector1": [
37,
38,
39,
40,
41,
42,
43,
44,
45,
46,
47,
48,
49,
50,
51,
52,
53,
54,
55,
56
],
"vector1b": [
47,
48,
49,
50,
51,
52,
53,
54,
55,
56
],
"vector2": [
37,
38,
39,
40,
41
],
"vector3": [
37,
38,
39,
40,
41
],
"vector22": [
57,
58,
59,
60,
61,
62,
63,
64,
65,
66
],
"ownerId": "sam",
"category": "pink",
"price": 37
},
{
"@search.action": "mergeOrUpload",
"id": "38",
"name": "test",
"description": "test38 hello",
"vector1": [
38,
39,
40,
41,
42,
43,
44,
45,
46,
47,
48,
49,
50,
51,
52,
53,
54,
55,
56,
57
],
"vector1b": [
48,
49,
50,
51,
52,
53,
54,
55,
56,
57
],
"vector2": [
38,
39,
40,
41,
42
],
"vector3": [
38,
39,
40,
41,
42
],
"vector22": [
58,
59,
60,
61,
62,
63,
64,
65,
66,
67
],
"ownerId": "sam",
"category": "pink",
"price": 38
},
{
"@search.action": "mergeOrUpload",
"id": "39",
"name": "test",
"description": "test39 hello",
"vector1": [
39,
40,
41,
42,
43,
44,
45,
46,
47,
48,
49,
50,
51,
52,
53,
54,
55,
56,
57,
58
],
"vector1b": [
49,
50,
51,
52,
53,
54,
55,
56,
57,
58
],
"vector2": [
39,
40,
41,
42,
43
],
"vector3": [
39,
40,
41,
42,
43
],
"vector22": [
59,
60,
61,
62,
63,
64,
65,
66,
67,
68
],
"ownerId": "ryan",
"category": "pink",
"price": 39
},
{
"@search.action": "mergeOrUpload",
"id": "40",
"name": "test",
"description": "test40 hello",
"vector1": [
40,
41,
42,
43,
44,
45,
46,
47,
48,
49,
50,
51,
52,
53,
54,
55,
56,
57,
58,
59
],
"vector1b": [
50,
51,
52,
53,
54,
55,
56,
57,
58,
59
],
"vector2": [
40,
41,
42,
43,
44
],
"vector3": [
40,
41,
42,
43,
44
],
"vector22": [
60,
61,
62,
63,
64,
65,
66,
67,
68,
69
],
"ownerId": "benny",
"category": "green",
"price": 40
},
{
"@search.action": "mergeOrUpload",
"id": "41",
"name": "test",
"description": "test41 hello",
"vector1": [
41,
42,
43,
44,
45,
46,
47,
48,
49,
50,
51,
52,
53,
54,
55,
56,
57,
58,
59,
60
],
"vector1b": [
51,
52,
53,
54,
55,
56,
57,
58,
59,
60
],
"vector2": [
41,
42,
43,
44,
45
],
"vector3": [
41,
42,
43,
44,
45
],
"vector22": [
61,
62,
63,
64,
65,
66,
67,
68,
69,
70
],
"ownerId": "sam",
"category": "green",
"price": 41
},
{
"@search.action": "mergeOrUpload",
"id": "42",
"name": "test",
"description": "test42 hello",
"vector1": [
42,
43,
44,
45,
46,
47,
48,
49,
50,
51,
52,
53,
54,
55,
56,
57,
58,
59,
60,
61
],
"vector1b": [
52,
53,
54,
55,
56,
57,
58,
59,
60,
61
],
"vector2": [
42,
43,
44,
45,
46
],
"vector3": [
42,
43,
44,
45,
46
],
"vector22": [
62,
63,
64,
65,
66,
67,
68,
69,
70,
71
],
"ownerId": "ryan",
"category": "green",
"price": 42
},
{
"@search.action": "mergeOrUpload",
"id": "43",
"name": "test",
"description": "test43 hello",
"vector1": [
43,
44,
45,
46,
47,
48,
49,
50,
51,
52,
53,
54,
55,
56,
57,
58,
59,
60,
61,
62
],
"vector1b": [
53,
54,
55,
56,
57,
58,
59,
60,
61,
62
],
"vector2": [
43,
44,
45,
46,
47
],
"vector3": [
43,
44,
45,
46,
47
],
"vector22": [
63,
64,
65,
66,
67,
68,
69,
70,
71,
72
],
"ownerId": "sam",
"category": "green",
"price": 43
},
{
"@search.action": "mergeOrUpload",
"id": "44",
"name": "test",
"description": "test44 hello",
"vector1": [
44,
45,
46,
47,
48,
49,
50,
51,
52,
53,
54,
55,
56,
57,
58,
59,
60,
61,
62,
63
],
"vector1b": [
54,
55,
56,
57,
58,
59,
60,
61,
62,
63
],
"vector2": [
44,
45,
46,
47,
48
],
"vector3": [
44,
45,
46,
47,
48
],
"vector22": [
64,
65,
66,
67,
68,
69,
70,
71,
72,
73
],
"ownerId": "sam",
"category": "green",
"price": 44
},
{
"@search.action": "mergeOrUpload",
"id": "45",
"name": "test",
"description": "test45 hello",
"vector1": [
45,
46,
47,
48,
49,
50,
51,
52,
53,
54,
55,
56,
57,
58,
59,
60,
61,
62,
63,
64
],
"vector1b": [
55,
56,
57,
58,
59,
60,
61,
62,
63,
64
],
"vector2": [
45,
46,
47,
48,
49
],
"vector3": [
45,
46,
47,
48,
49
],
"vector22": [
65,
66,
67,
68,
69,
70,
71,
72,
73,
74
],
"ownerId": "ryan",
"category": "orange",
"price": 45
},
{
"@search.action": "mergeOrUpload",
"id": "46",
"name": "test",
"description": "test46 hello",
"vector1": [
46,
47,
48,
49,
50,
51,
52,
53,
54,
55,
56,
57,
58,
59,
60,
61,
62,
63,
64,
65
],
"vector1b": [
56,
57,
58,
59,
60,
61,
62,
63,
64,
65
],
"vector2": [
46,
47,
48,
49,
50
],
"vector3": [
46,
47,
48,
49,
50
],
"vector22": [
66,
67,
68,
69,
70,
71,
72,
73,
74,
75
],
"ownerId": "sam",
"category": "orange",
"price": 46
},
{
"@search.action": "mergeOrUpload",
"id": "47",
"name": "test",
"description": "test47 hello",
"vector1": [
47,
48,
49,
50,
51,
52,
53,
54,
55,
56,
57,
58,
59,
60,
61,
62,
63,
64,
65,
66
],
"vector1b": [
57,
58,
59,
60,
61,
62,
63,
64,
65,
66
],
"vector2": [
47,
48,
49,
50,
51
],
"vector3": [
47,
48,
49,
50,
51
],
"vector22": [
67,
68,
69,
70,
71,
72,
73,
74,
75,
76
],
"ownerId": "sam",
"category": "orange",
"price": 47
},
{
"@search.action": "mergeOrUpload",
"id": "no-vectors",
"name": "test",
"description": "no vector",
"ownerId": "sam",
"category": "purple"
},
{
"@search.action": "mergeOrUpload",
"id": "empty-vectors",
"name": "test",
"description": "no vector",
"ownerId": "sam",
"category": "purple"
}
]
}
Örnek yanıt
{
"value": [
{
"key": "0",
"status": true,
"statusCode": 201
},
{
"key": "1",
"status": true,
"statusCode": 201
},
{
"key": "2",
"status": true,
"statusCode": 201
},
{
"key": "3",
"status": true,
"statusCode": 201
},
{
"key": "4",
"status": true,
"statusCode": 201
},
{
"key": "5",
"status": true,
"statusCode": 201
},
{
"key": "6",
"status": true,
"statusCode": 201
},
{
"key": "7",
"status": true,
"statusCode": 201
},
{
"key": "8",
"status": true,
"statusCode": 201
},
{
"key": "9",
"status": true,
"statusCode": 201
},
{
"key": "10",
"status": true,
"statusCode": 201
},
{
"key": "11",
"status": true,
"statusCode": 201
},
{
"key": "12",
"status": true,
"statusCode": 201
},
{
"key": "13",
"status": true,
"statusCode": 201
},
{
"key": "14",
"status": true,
"statusCode": 201
},
{
"key": "15",
"status": true,
"statusCode": 201
},
{
"key": "16",
"status": true,
"statusCode": 201
},
{
"key": "17",
"status": true,
"statusCode": 201
},
{
"key": "18",
"status": true,
"statusCode": 201
},
{
"key": "19",
"status": true,
"statusCode": 201
},
{
"key": "20",
"status": true,
"statusCode": 201
},
{
"key": "21",
"status": true,
"statusCode": 201
},
{
"key": "22",
"status": true,
"statusCode": 201
},
{
"key": "23",
"status": true,
"statusCode": 201
},
{
"key": "24",
"status": true,
"statusCode": 201
},
{
"key": "25",
"status": true,
"statusCode": 201
},
{
"key": "26",
"status": true,
"statusCode": 201
},
{
"key": "27",
"status": true,
"statusCode": 201
},
{
"key": "28",
"status": true,
"statusCode": 201
},
{
"key": "29",
"status": true,
"statusCode": 201
},
{
"key": "30",
"status": true,
"statusCode": 201
},
{
"key": "31",
"status": true,
"statusCode": 201
},
{
"key": "32",
"status": true,
"statusCode": 201
},
{
"key": "33",
"status": true,
"statusCode": 201
},
{
"key": "34",
"status": true,
"statusCode": 201
},
{
"key": "35",
"status": true,
"statusCode": 201
},
{
"key": "36",
"status": true,
"statusCode": 201
},
{
"key": "37",
"status": true,
"statusCode": 201
},
{
"key": "38",
"status": true,
"statusCode": 201
},
{
"key": "39",
"status": true,
"statusCode": 201
},
{
"key": "40",
"status": true,
"statusCode": 201
},
{
"key": "41",
"status": true,
"statusCode": 201
},
{
"key": "42",
"status": true,
"statusCode": 201
},
{
"key": "43",
"status": true,
"statusCode": 201
},
{
"key": "44",
"status": true,
"statusCode": 201
},
{
"key": "45",
"status": true,
"statusCode": 201
},
{
"key": "46",
"status": true,
"statusCode": 201
},
{
"key": "47",
"status": true,
"statusCode": 201
},
{
"key": "no-vectors",
"status": true,
"statusCode": 201
},
{
"key": "empty-vectors",
"status": true,
"statusCode": 201
}
]
}
{
"value": [
{
"key": "0",
"status": true,
"statusCode": 201
},
{
"key": "1",
"status": true,
"statusCode": 201
},
{
"key": "2",
"status": true,
"statusCode": 201
},
{
"key": "3",
"status": true,
"statusCode": 201
},
{
"key": "4",
"status": true,
"statusCode": 201
},
{
"key": "5",
"status": true,
"statusCode": 201
},
{
"key": "6",
"status": true,
"statusCode": 201
},
{
"key": "7",
"status": true,
"statusCode": 201
},
{
"key": "8",
"status": true,
"statusCode": 201
},
{
"key": "9",
"status": true,
"statusCode": 201
},
{
"key": "10",
"status": true,
"statusCode": 201
},
{
"key": "11",
"status": true,
"statusCode": 201
},
{
"key": "12",
"status": true,
"statusCode": 201
},
{
"key": "13",
"status": true,
"statusCode": 201
},
{
"key": "14",
"status": true,
"statusCode": 201
},
{
"key": "15",
"status": true,
"statusCode": 201
},
{
"key": "16",
"status": true,
"statusCode": 201
},
{
"key": "17",
"status": true,
"statusCode": 201
},
{
"key": "18",
"status": true,
"statusCode": 201
},
{
"key": "19",
"status": true,
"statusCode": 201
},
{
"key": "20",
"status": true,
"statusCode": 201
},
{
"key": "21",
"status": true,
"statusCode": 201
},
{
"key": "22",
"status": true,
"statusCode": 201
},
{
"key": "23",
"status": true,
"statusCode": 201
},
{
"key": "24",
"status": true,
"statusCode": 201
},
{
"key": "25",
"status": true,
"statusCode": 201
},
{
"key": "26",
"status": true,
"statusCode": 201
},
{
"key": "27",
"status": true,
"statusCode": 201
},
{
"key": "28",
"status": true,
"statusCode": 201
},
{
"key": "29",
"status": true,
"statusCode": 201
},
{
"key": "30",
"status": true,
"statusCode": 201
},
{
"key": "31",
"status": true,
"statusCode": 201
},
{
"key": "32",
"status": true,
"statusCode": 201
},
{
"key": "33",
"status": true,
"statusCode": 201
},
{
"key": "34",
"status": true,
"statusCode": 201
},
{
"key": "35",
"status": true,
"statusCode": 201
},
{
"key": "36",
"status": true,
"statusCode": 201
},
{
"key": "37",
"status": true,
"statusCode": 201
},
{
"key": "38",
"status": true,
"statusCode": 201
},
{
"key": "39",
"status": true,
"statusCode": 201
},
{
"key": "40",
"status": true,
"statusCode": 201
},
{
"key": "41",
"status": true,
"statusCode": 201
},
{
"key": "42",
"status": true,
"statusCode": 201
},
{
"key": "43",
"status": true,
"statusCode": 201
},
{
"key": "44",
"status": true,
"statusCode": 201
},
{
"key": "45",
"status": true,
"statusCode": 201
},
{
"key": "46",
"status": true,
"statusCode": 201
},
{
"key": "47",
"status": true,
"statusCode": 201
},
{
"key": "no-vectors",
"status": true,
"statusCode": 201
},
{
"key": "empty-vectors",
"status": true,
"statusCode": 201
}
]
}
Tanımlar
| Name | Description |
|---|---|
|
Error |
Kaynak yönetimi hatası ek bilgileri. |
|
Error |
Hata ayrıntısı. |
|
Error |
Hata yanıtı |
|
Index |
Bir belge üzerinde çalışan bir dizin eylemini temsil eder. |
|
Index |
Dizin oluşturma toplu işlemindeki bir belge üzerinde gerçekleştirilecek işlem. |
|
Index |
Dizine gönderilecek bir toplu belge yazma eylemi içerir. |
|
Index |
Dizin oluşturma isteğindeki tüm belgeler için işlemlerin durumunu içeren yanıt. |
|
Indexing |
Tek bir belge için dizin oluşturma işleminin durumu. |
ErrorAdditionalInfo
Kaynak yönetimi hatası ek bilgileri.
| Name | Tür | Description |
|---|---|---|
| info |
object |
Ek bilgiler. |
| type |
string |
Ek bilgi türü. |
ErrorDetail
Hata ayrıntısı.
| Name | Tür | Description |
|---|---|---|
| additionalInfo |
Hata ek bilgileri. |
|
| code |
string |
Hata kodu. |
| details |
Hata ayrıntıları. |
|
| message |
string |
Hata iletisi. |
| target |
string |
Hata hedefi. |
ErrorResponse
Hata yanıtı
| Name | Tür | Description |
|---|---|---|
| error |
Hata nesnesi. |
IndexAction
Bir belge üzerinde çalışan bir dizin eylemini temsil eder.
| Name | Tür | Description |
|---|---|---|
| @search.action |
Dizin oluşturma toplu işlemindeki bir belge üzerinde gerçekleştirilecek işlem. |
IndexActionType
Dizin oluşturma toplu işlemindeki bir belge üzerinde gerçekleştirilecek işlem.
| Değer | Description |
|---|---|
| upload |
Belge yeniyse dizine ekler ve varsa güncelleştirir. Güncelleme durumunda tüm alanlar değiştirilir. |
| merge |
Belirtilen alan değerlerini varolan bir belgeyle birleştirir. Belge yoksa, birleştirme başarısız olur. Birleştirmede belirttiğiniz herhangi bir alan, belgede varolan alanın yerini alır. Bu aynı zamanda ilkel ve karmaşık türlerin koleksiyonları için de geçerlidir. |
| mergeOrUpload |
Verilen anahtara sahip bir belge dizinde zaten mevcutsa birleştirme gibi davranır. Belge mevcut değilse, yeni bir belgeyle yükleme gibi davranır. |
| delete |
Belirtilen belgeyi dizinden kaldırır. Silme işleminde anahtar alan dışında belirttiğiniz tüm alanlar yok sayılır. Bir belgeden tek bir alanı kaldırmak istiyorsanız, bunun yerine birleştirmeyi kullanın ve alanı açıkça null olarak ayarlayın. |
IndexBatch
Dizine gönderilecek bir toplu belge yazma eylemi içerir.
| Name | Tür | Description |
|---|---|---|
| value |
Toplu işteki eylemler. |
IndexDocumentsResult
Dizin oluşturma isteğindeki tüm belgeler için işlemlerin durumunu içeren yanıt.
| Name | Tür | Description |
|---|---|---|
| value |
Dizin oluşturma isteğindeki her belge için durum bilgilerinin listesi. |
IndexingResult
Tek bir belge için dizin oluşturma işleminin durumu.
| Name | Tür | Description |
|---|---|---|
| errorMessage |
string |
Anahtar tarafından tanımlanan belge için dizin oluşturma işleminin neden başarısız olduğunu açıklayan hata iletisi; null dizin oluşturma başarılı olduysa. |
| key |
string |
Dizin oluşturma isteğinde bulunan bir belgenin anahtarı. |
| status |
boolean |
Anahtar tarafından tanımlanan belge için dizin oluşturma işleminin başarılı olup olmadığını gösteren bir değer. |
| statusCode |
integer (int32) |
Dizin oluşturma işleminin durum kodu. Olası değerler şunlardır: başarılı bir güncelleştirme veya silme işlemi için 200, başarılı belge oluşturma için 201, hatalı biçimlendirilmiş bir giriş belgesi için 400, belge bulunamadı için 404, sürüm çakışması için 409, dizin geçici olarak kullanılamadığında 422 veya hizmet çok meşgul olduğunda 503. |